Skip to main content
DELETE
Revoke a ModelCredential

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-24
idempotency-key
string
Maximum string length: 255

Path Parameters

model_credential_id
string
required
Pattern: ^mcred_[0-9a-f]{32}$

Body

application/json
expected_resource_version
integer
required
Required range: x > 0

Response

Success

id
string
required
Pattern: ^mcred_[0-9a-f]{32}$
workspace_id
string
required
Pattern: ^wrkspc_[0-9a-f]{32}$
key
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})$
display_name
string | null
required
Required string length: 1 - 255
provider_key
string
required
Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,93})$
base_url
string | null
required
Maximum string length: 2048
custody_policy
enum<string>
required
Available options:
workspace_vault
status
enum<string>
required
Available options:
active,
revoked
health_status
enum<string>
required
Available options:
unknown,
verified,
rejected
active_generation_number
integer
required
Required range: x > 0
resource_version
integer
required
Required range: x > 0
created_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
updated_at
string
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
revoked_at
string | null
required

A canonical UTC ISO-8601 timestamp with millisecond precision.

Maximum string length: 24
Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$